Loading...
Searching...
No Matches
Magick::PathLinetoRel Class Reference
Inheritance diagram for Magick::PathLinetoRel:

## Public Member Functions

| PathLinetoRel (const Magick::Coordinate &coordinate_)
| PathLinetoRel (const CoordinateList &coordinates_)
| PathLinetoRel (const PathLinetoRel &original_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

CoordinateList | _coordinates

## Detailed Description

Definition at line 2947 of file Drawable.h.

## Constructor & Destructor Documentation

## PathLinetoRel() [1/3]

Magick::PathLinetoRel::PathLinetoRel | ( | const Magick::Coordinate & | coordinate_ | ) |

Definition at line 2349 of file Drawable.cpp.

: _coordinates(1,coordinate_)
{
}

## PathLinetoRel() [2/3]

Magick::PathLinetoRel::PathLinetoRel | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 2353 of file Drawable.cpp.

: _coordinates(coordinates_)
{
}

## PathLinetoRel() [3/3]

Magick::PathLinetoRel::PathLinetoRel | ( | const PathLinetoRel & | original_ | ) |

Definition at line 2357 of file Drawable.cpp.

: VPathBase (original_),
_coordinates(original_._coordinates)
{
}

## ~PathLinetoRel()

Magick::PathLinetoRel::~PathLinetoRel | ( | void |  | ) |

Definition at line 2362 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathLinetoRel::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2373 of file Drawable.cpp.

{
return new PathLinetoRel(*this);
}

## operator()()

void Magick::PathLinetoRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2365 of file Drawable.cpp.

{
for( CoordinateList::const_iterator p = _coordinates.begin();
p != _coordinates.end(); p++ )
{
DrawPathLineToRelative( context_, p->x(), p->y() );
}
}

## Field Documentation

## _coordinates

CoordinateList Magick::PathLinetoRel::_coordinates

private

Definition at line 2969 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp